## binutils-avr 2.24+Atmel3.4.5-1

=== debian/changelog ===
binutils-avr (2.24+Atmel3.4.5-1) unstable; urgency=medium

  * Added watch file
  * Moved /usr/x86_64-linux-gnu/avr  to /usr/lib/avr/x86_64-linux-gnu
    (closes: #701980)
  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Sun, 29 Mar 2015 15:49:18 +0200

binutils-avr (2.24+Atmel3.4.4-1) unstable; urgency=medium

  * New upstream release from Atmel-AVR-GNU-Toolchain v3.4.4
    (http://distribute.atmel.no/tools/opensource/Atmel-AVR-GNU-
    Toolchain/3.4.4/)
  * Applied upstream patch fixing gcc 4.9 compilation errors (closes:
    #746831)
  * Use softlinks instead of hard (closes: #647515)
  * Use dpkg-buildflags
  * Removed dh_undocumented
  * Added ${misc:Depends} dependency
  * Cleared dependency_libs field in all .la files
  * Added build-arch and build-indep targets
  * Added full copyright notice
  * Increased Standards-Version to 3.9.5

 -- Hakan Ardo <hakan@debian.org>  Sat, 31 May 2014 19:39:32 +0200
