## binutils-avr 2.26.20160125%2BAtmel3.7.0

=== debian/rules ===
--- 
+++ 
@@ -2,23 +2,31 @@
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
 
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/architecture.mk
+
 PACKAGE=binutils-avr
 TARGET=avr
 
-#ifeq (,$(DEB_BUILD_GNU_TYPE))
-#  include /usr/share/dbs/dpkg-arch.mk
-#endif
+#DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -q DEB_HOST_GNU_TYPE)
+#DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -q DEB_BUILD_GNU_TYPE)
 
 CONFARGS = --prefix=/usr \
            --build=$(DEB_BUILD_GNU_TYPE) \
            --host=$(DEB_HOST_GNU_TYPE) \
            --target=$(TARGET) \
-           --disable-static \
            --with-gnu-ld \
            --with-gnu-as \
+		   --with-system-zlib \
            --enable-install-libbfd \
            --with-dwarf2 \
-           $(shell dpkg-buildflags --export=configure) 
+           --disable-static \
+           --disable-gdb --disable-libdecnumber --disable-readline \
+           --disable-sim \
+           $(shell env DEB_CFLAGS_MAINT_APPEND="-Wno-implicit-fallthrough -Wno-format-overflow -Wno-pointer-compare -Wno-error=cast-function-type -Wno-error=stringop-truncation -Wno-error=format-truncation" \
+		     env DEB_BUILD_MAINT_OPTIONS="hardening=+all" \
+		     dpkg-buildflags --export=configure)
 
 
 # Uncomment this to turn on verbose mode.
@@ -29,32 +37,22 @@
 #include /usr/share/dbs/dbs-build.mk
 #include debian/dbs-build.mk
 
-BUILD_TREE=src
+BUILD_TREE=binutils
 
 # the dbs rules
 #include /usr/src/toolchain/patches/binutils/dbs-build.mk
 #
-unpack: unpack-stamp
-unpack-stamp:
-	tar xjf avr-binutils-*.tar.bz2
-	mv `ls -d binutils* | grep -v tar` src
-	#mkdir build
-	touch unpack-stamp
-
-patch-stamp: unpack-stamp
-	cd $(BUILD_TREE) && for p in `cat ../debian/patchlist`; do echo; echo Applying $$p ...; patch -p1 < ../debian/$$p; done
-	touch patch-stamp
-
 configure: configure-stamp
-configure-stamp: unpack-stamp patch-stamp
+configure-stamp:
 	dh_testdir
 
+	dh_update_autotools_config
 	# Add here commands to configure the package.
-	#cd $(BUILD_TREE)/ld && aclocal-1.9 && automake-1.9 
+	#cd $(BUILD_TREE)/ld && aclocal-1.9 && automake-1.9
 	#cd $(BUILD_TREE) && env CC="gcc" CFLAGS="-Wno-error=unused-but-set-variable -Wno-error=unused-but-set-parameter" ./configure $(CONFARGS)
 	cd $(BUILD_TREE) && ./configure $(CONFARGS)
-	make -C src maybe-configure-bfd
-	make -C src/bfd/ headers
+	make -C $(BUILD_TREE) maybe-configure-bfd
+	make -C $(BUILD_TREE)/bfd/ headers
 	touch configure-stamp
 
 build: configure-stamp build-stamp
@@ -77,20 +75,20 @@
 
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
-	rm -rf $(BUILD_TREE) 
-	#rm binutils-2.18.tar.bz2 
+	[ ! -f Makefile ] || $(MAKE) -C $(BUILD_TREE) distclean
+	#rm binutils-2.18.tar.bz2
 
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/$(PACKAGE).
 	cd $(BUILD_TREE) && $(MAKE) install prefix=$(CURDIR)/debian/$(PACKAGE)/usr
-	cp debian/gasp.1 debian/$(PACKAGE)/usr/share/man/man1/avr-gasp.1
+	#cp debian/gasp.1 debian/$(PACKAGE)/usr/share/man/man1/avr-gasp.1
 
 	# Non standard avr dir to keep FHS happy
 	mv debian/binutils-avr/usr/avr debian/binutils-avr/usr/lib/
@@ -104,6 +102,9 @@
 	# Emptying the dependency_libs field of .la files
 	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/binutils-avr -name '*.la'`
 
+	# Adjust paths
+	sed -i 's/\/usr\/$(DEB_HOST_GNU_TYPE)\/avr/\/usr\/lib\/avr\/$(DEB_HOST_GNU_TYPE)/' `find debian/binutils-avr -name '*.la'`
+
 	ln -s avr-ld.1.gz debian/binutils-avr/usr/share/man/man1/avr-ld.bfd.1.gz
 
 	# Files also in main binutils pkg
@@ -111,7 +112,7 @@
 	rm -rf lib/libiberty.* lib/libbfd.* lib/libopcodes* \
 	include/bfd.h include/ansidecl.h include/bfdlink.h \
 	share/locale include/symcat.h include/dis-asm.h \
-	info share/info
+	info share/info share/man/man1/avr-c++filt.1.gz
 
 	mv debian/binutils-avr/usr/$(DEB_HOST_GNU_TYPE)/avr \
 	   debian/binutils-avr/usr/lib/avr/$(DEB_HOST_GNU_TYPE)
@@ -137,7 +138,7 @@
 #	dh_installcron
 	dh_installman
 #	dh_installinfo
-	dh_installchangelogs 
+	dh_installchangelogs
 	dh_link
 	dh_strip
 	dh_compress
@@ -156,6 +157,7 @@
 	#dpkg -s toolchain-source | grep Version: | sed -e 's/Version: //' >> debian/substvars
 
 	dh_gencontrol
+	dh_lintian
 	dh_md5sums
 	dh_builddeb
