## binutils-avr 2.26.20160125+Atmel3.6.2

=== debian/changelog ===
binutils-avr (2.26.20160125+Atmel3.6.2-8) unstable; urgency=medium

  * QA upload
  * Also configure with -Wno-error=format-truncation (needed with -O3).

 -- Matthias Klose <doko@debian.org>  Tue, 12 Sep 2023 12:18:28 +0200

binutils-avr (2.26.20160125+Atmel3.6.2-7) unstable; urgency=medium

  * QA upload

  [ Dandan Zhang ]
  * Update debhelper and autotools config (Closes: #1051389)

 -- Bastian Germann <bage@debian.org>  Thu, 07 Sep 2023 11:38:52 +0200

binutils-avr (2.26.20160125+Atmel3.6.2-6) unstable; urgency=medium

  * debian/dirs: Recover file lost at 3.0 format conversion (Closes: #1042351)

 -- Bastian Germann <bage@debian.org>  Tue, 01 Aug 2023 01:15:01 +0200

binutils-avr (2.26.20160125+Atmel3.6.2-5) unstable; urgency=medium

  * Move top-level non-orig files to debian directory
  * Convert to source format 3.0 (Closes: #952630)
  * Adopt the package (Closes: #969202)
  * Patch: Avoid another dangling-pointer (Closes: #1037593)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on binutils, findutils, gcc and
      tar.
    + binutils-avr: Drop versioned constraint on binutils in Suggests.
    + binutils-avr: Drop versioned constraint on avr-libc in Breaks.

 -- Bastian Germann <bage@debian.org>  Fri, 14 Jul 2023 19:11:05 +0200

binutils-avr (2.26.20160125+Atmel3.6.2-4) unstable; urgency=medium

  * Bump debhelper compat to 7 (closes: #965433)

 -- Hakan Ardo <hakan@debian.org>  Fri, 07 Jan 2022 10:32:14 +0100

binutils-avr (2.26.20160125+Atmel3.6.2-3) unstable; urgency=medium

  * Applied patch from Rafael Laboissière <rafael@debian.org> fixing gcc-
    11 compile error (closes: #983993)

 -- Hakan Ardo <hakan@debian.org>  Sun, 21 Nov 2021 10:07:46 +0100

binutils-avr (2.26.20160125+Atmel3.6.2-2) unstable; urgency=medium

  * Applied upstream patch https://sourceware.org/git/?p=binutils-
    gdb.git;a=patch;h=cda7e5603f6efd7c3716e45cc6ea11b70dd8daae
    (closes: #966898)

 -- Hakan Ardo <hakan@debian.org>  Wed, 02 Sep 2020 16:05:46 +0200

binutils-avr (2.26.20160125+Atmel3.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Sun, 12 Jan 2020 09:17:40 +0100

binutils-avr (2.26.20160125+Atmel3.6.1-4) unstable; urgency=medium

  * Now builds with gcc 8 (closes: #915731)

 -- Hakan Ardo <hakan@debian.org>  Fri, 14 Dec 2018 11:05:22 +0100

binutils-avr (2.26.20160125+Atmel3.6.1-3.1) unstable; urgency=medium

  * Non-maintainer upload. Closes: #906453
  * [georgesk] export CC=gcc-7 in debian/rules

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Oct 2018 16:59:30 +0200

binutils-avr (2.26.20160125+Atmel3.6.1-3) UNRELEASED; urgency=medium

  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 09:46:58 +0200

binutils-avr (2.26.20160125+Atmel3.6.1-2) unstable; urgency=medium

  * Added Multi-Arch: foreign (closes: #902572)
  * Add explicit breaks to make gcc-7 happy even though BFD_FAIL() is
    not supposed to return (closes: #853328)

 -- Hakan Ardo <hakan@debian.org>  Fri, 29 Jun 2018 09:36:32 +0200

binutils-avr (2.26.20160125+Atmel3.6.1-1) unstable; urgency=medium

  * New upstream release
  * Package repository moved to
    https://salsa.debian.org/debian/binutils-avr

 -- Hakan Ardo <hakan@debian.org>  Fri, 03 Nov 2017 07:56:16 +0100

binutils-avr (2.26.20160125+Atmel3.6.0-1) unstable; urgency=medium

  * New upstream release
  * Package now maintained in a git repository set up by
    Gioele Barabucci <gioele@svario.it>

 -- Hakan Ardo <hakan@debian.org>  Tue, 25 Jul 2017 13:35:57 +0200

binutils-avr (2.26.20160125+Atmel3.5.4-1) unstable; urgency=medium

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Sun, 02 Apr 2017 20:59:11 +0200

binutils-avr (2.26.20160125+Atmel3.5.3-1) unstable; urgency=medium

  * New upstream release
  * Removed avr-gasp man page (closes: #832991)

 -- Hakan Ardo <hakan@debian.org>  Sun, 14 Aug 2016 17:26:16 +0200

binutils-avr (2.25+Atmel3.5.0-2) unstable; urgency=medium

  * Declear that we break older versions of avr-libc (closes: #807502)

 -- Hakan Ardo <hakan@debian.org>  Sun, 13 Dec 2015 09:40:31 +0100

binutils-avr (2.25+Atmel3.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Hakan Ardo <hakan@debian.org>  Sat, 05 Dec 2015 20:21:51 +0100
