=== debian/rules ===
--- 
+++ 
@@ -2,15 +2,11 @@
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
 
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/architecture.mk
-
 PACKAGE=binutils-avr
 TARGET=avr
 
-#DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -q DEB_HOST_GNU_TYPE)
-#DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -q DEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE = $(shell dpkg-architecture -q DEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE = $(shell dpkg-architecture -q DEB_BUILD_GNU_TYPE)
 
 CONFARGS = --prefix=/usr \
            --build=$(DEB_BUILD_GNU_TYPE) \
@@ -25,7 +21,6 @@
            --disable-gdb --disable-libdecnumber --disable-readline \
            --disable-sim \
            $(shell env DEB_CFLAGS_MAINT_APPEND="-Wno-implicit-fallthrough -Wno-format-overflow -Wno-pointer-compare -Wno-error=cast-function-type -Wno-error=stringop-truncation -Wno-error=format-truncation" \
-		     env DEB_BUILD_MAINT_OPTIONS="hardening=+all" \
 		     dpkg-buildflags --export=configure)
 
 
@@ -75,7 +70,7 @@
 
 	# Add here commands to clean up after the build process.
 	#-$(MAKE) clean
-	[ ! -f Makefile ] || $(MAKE) -C $(BUILD_TREE) distclean
+	-$(MAKE) -C $(BUILD_TREE) distclean
 	#rm binutils-2.18.tar.bz2
 
 	dh_clean
@@ -103,7 +98,7 @@
 	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/binutils-avr -name '*.la'`
 
 	# Adjust paths
-	sed -i 's/\/usr\/$(DEB_HOST_GNU_TYPE)\/avr/\/usr\/lib\/avr\/$(DEB_HOST_GNU_TYPE)/' `find debian/binutils-avr -name '*.la'`
+	sed -i 's/\/usr\/x86_64-linux-gnu\/avr/\/usr\/lib\/avr\/x86_64-linux-gnu/' `find debian/binutils-avr -name '*.la'`
 
 	ln -s avr-ld.1.gz debian/binutils-avr/usr/share/man/man1/avr-ld.bfd.1.gz
 
@@ -157,7 +152,6 @@
 	#dpkg -s toolchain-source | grep Version: | sed -e 's/Version: //' >> debian/substvars
 
 	dh_gencontrol
-	dh_lintian
 	dh_md5sums
 	dh_builddeb
